
# coding: utf-8

# Usage of Climate Data Operators
# =================
# This example shows you how CDOs are binded in the psyplot package. 
# 
# It requires the ```'demo.nc'``` netCDF file and the [psy-maps](http://psy-maps.readthedocs.io/en/latest/) plugin.

# In[ ]:



import logging
logging.captureWarnings(True)
logging.getLogger('py.warnings').setLevel(logging.ERROR)


# In[ ]:


import psyplot.project as psy
get_ipython().run_line_magic('matplotlib', 'inline')


# In[ ]:


cdo = psy.Cdo()
lines = cdo.fldmean(input='-sellevidx,1 demo.nc', plot_method='lineplot', name='t2m',
                    fmt=dict(xticks='month', xticklabels='%b %Y'))


# In[ ]:


maps = cdo.timmean(input='demo.nc', name='t2m', plot_method='mapplot', fmt=dict(cmap='RdBu_r'))


# In[ ]:


psy.close('all')

